# Generated from linux_admin-0.9.4.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name linux_admin
%global rubyabi 1.9.1

Summary: LinuxAdmin is a module to simplify management of linux systems
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.9.4
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/ManageIQ/linux_admin
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems)
Requires: %{?scl_prefix}ruby
Requires: %{?scl_prefix}rubygem(activesupport) > 3.2
Requires: %{?scl_prefix}rubygem(inifile) => 2.0.2
Requires: %{?scl_prefix}rubygem(inifile) < 2.1
Requires: %{?scl_prefix}rubygem(more_core_extensions) => 1.1
Requires: %{?scl_prefix}rubygem(more_core_extensions) < 2
Requires: %{?scl_prefix}rubygem(awesome_spawn) => 1.2
Requires: %{?scl_prefix}rubygem(awesome_spawn) < 2
Requires: %{?scl_prefix}rubygem(nokogiri)
BuildRequires: %{?scl_prefix}rubygems-devel
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
LinuxAdmin is a module to simplify management of linux systems.
It should be a single place to manage various system level configurations,
registration, updates, etc.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%exclude %{gem_instdir}/.*

%files doc
%doc %{gem_docdir}
%{gem_instdir}/LICENSE.txt
%{gem_instdir}/README.md
%{gem_instdir}/spec

%changelog
* Tue Dec 16 2014 Brandon Dunne <bdunne@redhat.com> - 0.9.4-1
- Update to 0.9.4

* Wed Dec 03 2014 Brandon Dunne <bdunne@redhat.com> - 0.9.3-1
- Update to 0.9.3

* Wed Nov 26 2014 Brandon Dunne <bdunne@redhat.com> - 0.9.2-1
- Update to 0.9.2

* Fri Aug 01 2014 Joe Rafaniello <jrafanie@redhat.com> - 0.9.1-1
- Update to 0.9.1

* Fri Mar 21 2014 Joe Rafaniello <jrafanie@redhat.com> - 0.8.1-2
- Rebuilding v0.8.1

* Fri Mar 21 2014 Joe Rafaniello <jrafanie@redhat.com> - 0.8.1-1
- Building v0.8.1

* Wed Mar 12 2014 Joe VLcek<jvlcek@redhat.com> - 0.8.0-1
- Building v0.8.0

* Tue Feb 18 2014 Brandon Dunne <bdunne@redhat.com> - 0.7.0-1
- Building v0.7.0

* Thu Dec 05 2013 Brandon Dunne <bdunne@redhat.com> - 0.5.6-1
- Building v0.5.6

* Thu Dec 05 2013 Brandon Dunne <bdunne@redhat.com> - 0.5.5-1
- Building v0.5.5

* Fri Nov 15 2013 Brandon Dunne <bdunne@redhat.com> - 0.5.4-1
- Building v0.5.4

* Thu Nov 14 2013 Brandon Dunne <bdunne@redhat.com> - 0.5.3-1
- Building v0.5.3

* Wed Nov 13 2013 Brandon Dunne <bdunne@redhat.com> - 0.5.2-1
- Building v0.5.2

* Thu Oct 10 2013 Brandon Dunne <bdunne@redhat.com> - 0.5.1-1
- Building v0.5.1

* Thu Oct 03 2013 Brandon Dunne <bdunne@redhat.com> - 0.4.1-1
- Building v0.4.1

* Thu Sep 19 2013 Brandon Dunne <bdunne@redhat.com> - 0.3.0-1
- Building v0.3.0

* Thu Sep 19 2013 Brandon Dunne <bdunne@redhat.com> - 0.2.3-1
- Building v0.2.3

* Fri Sep 06 2013 Joe Rafaniello <jrafanie@redhat.com> - 0.2.2-1
- Building v0.2.2

* Fri Aug 23 2013 Joe Rafaniello <jrafanie@redhat.com> - 0.2.1-1
- Building v0.2.1

* Thu Jul 11 2013 Brandon Dunne <bdunne@redhat.com> - 0.1.2-1
- Building v0.1.2

* Tue Jul 09 2013 Brandon Dunne <bdunne@redhat.com> - 0.1.1-1
- Building v0.1.1

* Wed Jun 19 2013 Brandon Dunne <bdunne@redhat.com> - 0.1.0-1
- Initial package
